---
name: Bug report
about: A report of an error in a recent systemd version

---

**systemd version the issue has been seen with**
 > …

<!-- **NOTE:** Do not submit bug reports about anything but the two most recently released *major* systemd versions upstream! -->
<!--           If there have been multiple stable releases for that major version, please consider updating to a recent one before reporting an issue. -->
<!--           When using a distro package, please make sure that the version reported is meaningful for upstream. -->
<!-- See https://github.com/systemd/systemd-stable/releases for the list of most recent releases. -->
<!-- For older version please use distribution trackers (see https://systemd.io/CONTRIBUTING#filing-issues). -->

**Used distribution**
 > …

**Linux kernel version used** (`uname -a`)
<!-- Make sure to enclose the pasted kernel version in `backticks`, so that
     GitHub doesn't convert the `#` character typically included in it into a
     reference to old GitHub issues. -->
 > `…`

**CPU architecture issue was seen on**
 > …

**Expected behaviour you didn't see**
 > …

**Unexpected behaviour you saw**
 > …

**Steps to reproduce the problem**
 > …

**Additional program output to the terminal or log subsystem illustrating the issue**

<!-- Please paste relevant program terminal or journal output here, ideally
     when generated in debug mode (try setting the SYSTEMD_LOG_LEVEL=debug
     environment variable). For very long copy/pasted data consider using a
     service like https://gist.github.com/. Where copy/paste is not possible
     (for example early boot or late shutdown), a photo of the screen might do
     too, but text is always much preferred. -->
```text
…
```
